SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetAbilityQueryEntities] (
	@VCC VARCHAR(50) = NULL, 
	@AbilityQueryId VARCHAR(100) = NULL,
	@EvaluationPlanId VARCHAR(50) = NULL
) AS
BEGIN
		SET NOCOUNT ON

		DECLARE @QUERY VARCHAR(MAX) = ''
		SET @QUERY +=' SELECT [AQE].[EntityId]								''entityId'',
					   [AQE].[EntityName]									''entityName'',
					   [AQE].[AcceptancePercentage]						    ''acceptancePercentage'',
					   ISNULL([AQE].[AcceptancePercentage], 0) * 100		''acceptanceInteger'',
					   [AQE].[Order]										''order''
					   FROM '
			   
		IF(@EvaluationPlanId IS NOT NULL AND @EvaluationPlanId <> '')
		BEGIN
			SET @QUERY += ' [dbo].[HistoricAbilityQueryEntity] AQE (NOLOCK) 
							WHERE AQE.[EvaluationPlanId] = '''+@EvaluationPlanId+''' AND '	
		END 
		ELSE 
		BEGIN 
			SET @QUERY += '	[dbo].[AbilityQueryEntity] AQE (NOLOCK) WHERE '
		END
		SET @QUERY += ' [AQE].[VCC] ='''+ @VCC +''''
		SET @QUERY += ' AND [AQE].[AbilityQueryId] ='''+ @AbilityQueryId+''''
		SET @QUERY += ' ORDER BY [AQE].[Order] ASC'
		EXEC(@QUERY)

		SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
