SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetAgentsFromHistoricEvaluationPlans] (
	@VCC VARCHAR(50)
	)
AS
BEGIN
	SET NOCOUNT ON
 	
 	SELECT DISTINCT ER.[IdAgent] 'idAgent'
 	FROM [dbo].[EvaluationResult] ER (NOLOCK)
 	JOIN [dbo].[AuditorEvaluationPlan] AEP (NOLOCK)
 	ON ER.[Instance] = AEP.[Instance] AND ER.IdEvaluationPlan = AEP.IdEvaluationPlan
 	WHERE ER.[Instance] = @VCC AND AEP.Completed = 1

 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
