SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


CREATE PROCEDURE [dbo].[GetAllTagsInteraction]
(
	@VCC						VARCHAR(50),
	@AudioId					VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]												'vcc',
		[AudioId]											'audioId',
		[Section]											'section',
		[Part]												'part',
		CONVERT(decimal(18, 15), [CurrentTime])				'currentTime',
		[Tag]												'tag',
		[Comment]											'comment',
		[CreatedDate]										'createdDate',
		[CreatedByUserId]									'createdByUserId',
		[LastModifiedDate]									'lastModifiedDate',
		[LastModifiedByUserId]								'lastModifiedByUserId',
		[TimeStamp]											'timeStamp'
	FROM
		[dbo].[Tag]
	WHERE
		[VCC] = @VCC AND
		[AudioId] = @AudioId

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
