SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetBatchScheduleById] (
	@VCC VARCHAR(50) = NULL, 
	@Id VARCHAR(50) = NULL
	--@Type VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT BS.[Id]								'id',
			BS.[BatchType]						'batchType',
			BS.[Frequency]						'frequency',
			BS.[Weekday]						'weekday',
			BS.[Monthday]						'monthday',
			BS.[DaysInterval]					'daysInterval',
			BS.[HoursInterval]					'hoursInterval',
			BS.[ExecutionDelay]					'executionDelay',
			BS.[StartDate]						'startDate',
			BS.[EndDate]						'endDate',
			BS.[FirstExecutionDate]				'firstExecutionDate',
			BS.[LastExecutionDate]				'lastExecutionDate',
			BS.[FinalExecutionDate]				'finalExecutionDate',
			BS.[Status]							'status',
			BS.[CreatedDate]					'createdDate',
			BS.[CreatedByUserId]				'createdByUserId',
			BS.[LastModifiedDate]				'lastModifiedDate',
			BS.[LastModifiedByUserId]			'lastModifiedByUserId'
		FROM [dbo].[BatchSchedule] BS (NOLOCK)
		WHERE BS.[VCC] = @VCC
			AND BS.[Id] = @Id
			--AND BS.[BatchType] = @Type

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
