SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCampaignEvaluationFormats] (
	@Instance Varchar(50) = NULL, 
	@IdEvaluationFormat Varchar(50) = NULL,
	@EvaluationPlanId   VARCHAR(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	
	DECLARE @QUERY VARCHAR(MAX) = ''
	SET @QUERY += 'SELECT
				CE.[IdEvaluationFormat]			''idEvaluationFormat'',
				CE.[IdCampaign]					''idCampain'',
				CE.[IdCampaign]                 ''descriptionCampain'' FROM '

	IF(@EvaluationPlanId IS NOT NULL AND @EvaluationPlanId <> '')
	BEGIN
		 SET @QUERY +=' [HistoricCampaignEvaluationFormat] CE (NOLOCK)
			WHERE CE.[EvaluationPlanId] = '''+@EvaluationPlanId+''' AND  CE.[VCC] = '''+@Instance+''''
	END
	ELSE
	BEGIN
         SET @QUERY += ' [CampaignEvaluationFormat] CE (NOLOCK) WHERE  CE.[Instance] = '''+@Instance+'''' 
	END

	SET @QUERY += ' AND CE.[IdEvaluationFormat]='''+ @IdEvaluationFormat +''''

    EXEC(@QUERY)
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
