SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCategoryPermissions] (
	@VCC Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT [Category]							'category',
			[Position] 							'position'
		FROM [CategoryPermissions] (NOLOCK)
		GROUP BY [Category],[Position]
		ORDER BY [Position] ASC
	
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
