SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationTypesInteraction] (
	@VCC			VARCHAR(50),
	@InteractionId	VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		CASE WHEN [MA].[evaluatedManually] > 0 THEN 1 ELSE 0 END AS evaluatedManually,
		CASE WHEN [AU].[evaluatedAutomatically] > 0 THEN 1 ELSE 0 END AS evaluatedAutomatically
	FROM
		(SELECT COUNT(*) AS evaluatedManually FROM EvaluationResult WHERE Instance = @VCC AND @InteractionId = IdInteraction AND IdAuditor <> 'SPEECH') MA,
		(SELECT COUNT(*) AS evaluatedAutomatically FROM EvaluationResult WHERE Instance = @VCC AND @InteractionId = IdInteraction AND IdAuditor = 'SPEECH') AU


	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
