SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetException] (
	@VCC Varchar(50) = NULL, @ID Varchar(50) = NULL, @Description Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]							'vcc',
		[ID]							'id',
		[Description]					'description',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId',
		[TimeStamp]						'timeStamp'
	FROM [Exception] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [ID] =CASE WHEN @ID IS NOT NULL THEN @ID ELSE [ID] END
	AND [Description] =CASE WHEN @Description IS NOT NULL THEN @Description ELSE [Description] END
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
