SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetIntegrationUsers] '38.127.113.216', 1
CREATE PROCEDURE [dbo].[GetIntegrationUsers]
(
@Ip Varchar(50), @Type Int  
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[VCC]							    ''vcc'',
			[Id]								''id'',
			NULL								''email'',
			[Name] 								''firstname'',
			NULL								''lastname'',
			[Password]							''password'',
			[UserGroup] 						''role'',
			[Country] 							''country'',
			[LanguageId] 						''language'',
			[TimeZoneId] 						''timeZone'',
			NULL								''preferences'',
			0									''isSystemUser'',
			GETUTCDATE()						''createdDate'',
			''admin''							''createdByUserId'',
			GETUTCDATE()						''lastModifiedDate'',
			''admin''							''lastModifiedByUserId''
		FROM  [' + @Ip + ']' + '.mmprodat.dbo.[User] WITH (NOLOCK)
		WHERE
		UserGroup = ''agent''
		OR UserGroup = ''qualityauditor'''
		SET @Sql += ' 
		SET NOCOUNT OFF'
END  
ELSE IF(@Type = 1) 
BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[VCC]							    ''vcc'',
			[Id]								''id'',
			NULL								''email'',
			[Name] 								''firstname'',
			NULL								''lastname'',
			[Password]							''password'',
			[UserGroup] 						''role'',
			[Country] 							''country'',
			[LanguageId] 						''language'',
			[TimeZoneId] 						''timeZone'',
			NULL								''preferences'',
			0									''isSystemUser'',
			GETUTCDATE()						''createdDate'',
			''admin''							''createdByUserId'',
			GETUTCDATE()						''lastModifiedDate'',
			''admin''							''lastModifiedByUserId''
		FROM mmprodat.dbo.[User] (NOLOCK)
		WHERE
		UserGroup = ''agent''
		OR UserGroup = ''qualityauditor'''
		SET @Sql += ' 
		SET NOCOUNT OFF'
END  
ELSE  
BEGIN 
		SET @Sql = 'SELECT 1 AS ''result'''  
END

EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
