SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetIntegrationVCCs] '38.127.113.216', 1, '5.5'
CREATE PROCEDURE [dbo].[GetIntegrationVCCs]
(
@Ip Varchar(50), @Type Int, @Ambiente Varchar(50)
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[Id]							''id'',
			[Description]					''description'',
			NULL							''country'',
			NULL							''language'',
			NULL							''timeZone'',
			GETUTCDATE()					''createdDate'',
			''admin''						''createdByUserId'',
			GETUTCDATE()					''lastModifiedDate'',
			''admin''						''lastModifiedByUserId''
		FROM  [' + @Ip + ']' + '.mmprodat.dbo.[virtualcontactcenter] WITH (NOLOCK)
		WHERE [Id] != ''system'''
		IF(@Ambiente = '5.5')
		BEGIN
			SET @Sql += '
		AND [Id] NOT IN (SELECT DISTINCT Id FROM mmprodat.dbo.[virtualcontactcenter] VCC WITH (NOLOCK)
		INNER JOIN mmprodat..[VCCService] S WITH (NOLOCK) on VCC.Id = S.VCC
		WHERE S.ServiceId LIKE ''%OMNICHANNEL%''
		)
		'
		END
		IF(@Ambiente = 'INTEGRATED')
		BEGIN
			SET @Sql += '
		AND [Id] IN (SELECT DISTINCT Id FROM mmprodat.dbo.[virtualcontactcenter] VCC WITH (NOLOCK)
		INNER JOIN mmprodat..[VCCService] S WITH (NOLOCK) on VCC.Id = S.VCC
		WHERE S.ServiceId LIKE ''%OMNICHANNEL%''
		)
		'
		END
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[Id]							''id'',
			[Description]					''description'',
			NULL							''country'',
			NULL							''language'',
			NULL							''timeZone'',
			GETUTCDATE()					''createdDate'',
			''admin''						''createdByUserId'',
			GETUTCDATE()					''lastModifiedDate'',
			''admin''						''lastModifiedByUserId''
		FROM mmprodat.dbo.[virtualcontactcenter] (NOLOCK)
		WHERE [Id] != ''system'''
		IF(@Ambiente = '5.5')
		BEGIN
			SET @Sql += '
		AND [Id] NOT IN (SELECT DISTINCT Id FROM mmprodat.dbo.[virtualcontactcenter] VCC WITH (NOLOCK)
		INNER JOIN mmprodat..[VCCService] S WITH (NOLOCK) on VCC.Id = S.VCC
		WHERE S.ServiceId LIKE ''%OMNICHANNEL%''
		)
		'
		END
		IF(@Ambiente = 'INTEGRATED')
		BEGIN
			SET @Sql += '
		AND [Id] IN (SELECT DISTINCT Id FROM mmprodat.dbo.[virtualcontactcenter] VCC WITH (NOLOCK)
		INNER JOIN mmprodat..[VCCService] S WITH (NOLOCK) on VCC.Id = S.VCC
		WHERE S.ServiceId LIKE ''%OMNICHANNEL%''
		)
		'
		END
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN  
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
