SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetProfileImage] (
	@VCC Varchar(50) = NULL, @Type Varchar(50) = NULL, @ID Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Type]								'type',
		[ID]								'id',
		[ContentType]						'contentType',
		[ContentData]						'contentData'
	FROM [ProfileImage] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Type] = @Type
	AND [ID] = @ID

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
