SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetReportsTask]
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]								'instance',
		[ID]								'id',
		[Description] 						'description',
		[Procedure] 						'procedure',
		[StartDate]							'startDate',
		[EndDate]							'endDate',
		[Frecuency]							'frecuency',
		[HourSpace]							'hourSpace',
		[ExactTime]							'exactTime',
		[Weekday]							'weekday',
		[DayMonth]							'dayMonth',
		[Summary]							'summary',
		[Filter]							'filter',
		[Email]								'email',
		[LastModifiedByUserId]				'lastModifiedByUserId'
	FROM [Report] (NOLOCK)
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
