SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetTenantVCCByVCC] (
	@VCC Varchar(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	SELECT TV.[TenantId] 'tenantId',
			TV.[ClientId] 'clientId',
			TV.[ClientSecret] 'clientSecret',
			TV.[Resource] 'resource'
		FROM [dbo].[TenantVCC] TV (NOLOCK)
		WHERE TV.[VCC] = @VCC

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
