SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveEvaluationFormatAbilityScoreTipification] (
	@VCC VARCHAR(50) = NULL,
	@EvaluationFormatId VARCHAR(50) = NULL,
	@ScoreId VARCHAR(50) = NULL,
	@ID VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,
	@Detail VARCHAR(500) = NULL,
	@Order INT = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [EvaluationFormatAbilityScoreTipification]
		SET [Description] = @Description,
			[Detail] = @Detail,
			[Order] = @Order,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [EvaluationFormatId] = @EvaluationFormatId
			AND [ScoreId] = @ScoreId
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [EvaluationFormatAbilityScoreTipification] (
			[VCC], 
			[EvaluationFormatId],
			[ScoreId],
			[ID],
			[Description], 
			[Detail],
			[Order],
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC,
			@EvaluationFormatId,
			@ScoreId,
			@ID,
			@Description, 
			@Detail,
			@Order,
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
