SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveTenantVCC] (
	@VCC Varchar(50) = NULL, 				
	@TenantId Varchar(50) = NULL,				
	@ClientId Varchar(50) = NULL,			
	@ClientSecret Varchar(50) = NULL,
	@Resource varchar(50) = NULL,
	@CreatedByUserId Varchar(50) = NULL,
	@LastModifiedByUserId Varchar(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EL REGISTRO CORRESPONDIENTE AL VCC
	UPDATE [TenantVCC]
		SET [TenantId] = @TenantId,
			[ClientId] = @ClientId,
			[ClientSecret] = @ClientSecret,
			[Resource] = @Resource,
			[LastModifiedByUserId] = @LastModifiedByUserId,
			[LastModifiedDate] = CURRENT_TIMESTAMP,
			[TimeStamp] = CURRENT_TIMESTAMP
		WHERE [VCC] = @VCC

	-- SI NO SE PUDO ACTUALIZAR REGISTRAMOS EL NUEVO REGISTRO
    IF @@ROWCOUNT = 0
		INSERT INTO [TenantVCC] ([VCC], [TenantId], [ClientId], [ClientSecret], [Resource], [CreatedDate], [CreatedByUserId], [TimeStamp])
		VALUES (@VCC, @TenantId, @ClientId, @ClientSecret, @Resource, CURRENT_TIMESTAMP, @CreatedByUserId, CURRENT_TIMESTAMP)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
