SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveTipification] (
	@VCC VARCHAR(50) = NULL, 				
	@ID VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,					
	@Detail VARCHAR(500) = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [Tipification]
		SET [Description] = @Description,
			[Detail] = @Detail,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [Tipification] (
			[VCC], 
			[ID],
			[Description], 
			[Detail], 
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC, 
			@ID,
			@Description, 
			@Detail, 
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
