SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[UpdateIntentId]
(
	@VCC	     VARCHAR(50),
	@AppId       VARCHAR(50),
	@IntentId    VARCHAR(50),
	@NewIntentId VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON
	
	--Actualizar los registros con el nuevo IntentId
	

	UPDATE [dbo].[Intent] SET [IntentId] = @NewIntentId WHERE [VCC] = @VCC AND [AppId] = @AppId AND [IntentId] = @IntentId

	UPDATE [dbo].[Utterance] 
		SET [IntentId] = @NewIntentId 
		WHERE [VCC] = @VCC 
			AND [AppId] = @AppId 
			AND [IntentId] = @IntentId

	SELECT 1 AS result

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
