CREATE TABLE [dbo].[BatchSchedule] (
   [VCC] [varchar](50) NOT NULL ,
   [Id] [varchar](50) NOT NULL ,
   [BatchType] [varchar](50) NOT NULL ,
   [Frequency] [varchar](50) NULL ,
   [Weekday] [int] NULL   ,
   [Monthday] [int] NULL   ,
   [DaysInterval] [int] NULL   ,
   [HoursInterval] [int] NULL   ,
   [StartDate] [datetime] NULL   ,
   [EndDate] [datetime] NULL   ,
   [FirstExecutionDate] [datetime] NULL   ,
   [LastExecutionDate] [datetime] NULL   ,
   [FinalExecutionDate] [datetime] NULL   ,
   [ExecutionDelay] [int] NULL 
      CONSTRAINT [DF_BatchSchedule_ExecutionDelay] DEFAULT ((0))  ,
   [BatchData] [varchar](max) NULL ,
   [ProcessFiltersId] [varchar](50) NULL ,
   [Status] [varchar](50) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_BatchSchedule] PRIMARY KEY CLUSTERED ([VCC], [Id], [BatchType])
)


GO
