CREATE TABLE [dbo].[ChangeLog] (
   [ID] [uniqueidentifier] NOT NULL 
      CONSTRAINT [DF__ChangeLog__ID__36470DEF] DEFAULT (newid())  ,
   [Instance] [varchar](50) NOT NULL ,
   [UserId] [varchar](50) NOT NULL ,
   [LogTimeStamp] [datetime] NOT NULL   ,
   [LogActionType] [char](6) NULL ,
   [LogType] [varchar](50) NOT NULL ,
   [ValueBefore] [text] NULL   ,
   [ValueAfter] [text] NULL   

   ,CONSTRAINT [CK__ChangeLog__LogAc__373B3228] CHECK  ([LogActionType]='DELETE' OR [LogActionType]='UPDATE' OR [LogActionType]='INSERT')
   ,CONSTRAINT [PK__ChangeLo__3214EC27260C2517] PRIMARY KEY CLUSTERED ([ID])
)


GO
