CREATE TABLE [dbo].[Process] (
   [VCC] [varchar](50) NOT NULL ,
   [Name] [varchar](50) NOT NULL ,
   [Description] [varchar](50) NULL ,
   [ClientId] [varchar](50) NULL ,
   [Total] [int] NULL   ,
   [Progress] [int] NULL   ,
   [Error] [int] NULL   ,
   [Percentage] [float] NULL   ,
   [StatusDescription] [varchar](max) NULL ,
   [Status] [varchar](50) NULL ,
   [Type] [varchar](50) NULL ,
   [StartDate] [datetime] NULL   ,
   [EndDate] [datetime] NULL   ,
   [MinDurationTime] [numeric](18,2) NULL  ,
   [MaxDurationTime] [numeric](18,2) NULL  ,
   [Language] [varchar](25) NULL ,
   [DictionaryId] [varchar](50) NULL ,
   [Environment] [varchar](50) NULL ,
   [QueryId] [varchar](50) NULL ,
   [QueryDataId] [varchar](50) NULL ,
   [QueryDataIdDate] [datetime] NULL   ,
   [BatchScheduleId] [varchar](50) NULL 
      CONSTRAINT [DF_Process_IsScheduled] DEFAULT ((0)),
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [Retranscription] [bit] NULL   ,
   [Diarization] [bit] NULL   ,
   [ChannelChange] [bit] NULL   

   ,CONSTRAINT [PK_Process_1] PRIMARY KEY CLUSTERED ([VCC], [Name])
)


GO
