CREATE TABLE [dbo].[VCC] (
   [VCC] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [Type] [varchar](50) NOT NULL 
      CONSTRAINT [DF_VCC_Type] DEFAULT ('ALLEGRO'),
   [Description] [varchar](50) NULL ,
   [TranscriptionDefaultLanguage] [varchar](25) NULL ,
   [CognitiveEngine] [varchar](25) NULL ,
   [Country] [varchar](50) NULL ,
   [Language] [varchar](50) NULL ,
   [TimeZone] [varchar](50) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [IsMigrating] [bit] NULL 
      CONSTRAINT [DF__VCC__IsMigrating__4E0988E7] DEFAULT ('0')  ,
   [DeleteDataDays] [int] NULL 
      CONSTRAINT [DF__VCC__DeleteDataD__705EA0EB] DEFAULT ('360')  

   ,CONSTRAINT [PK_VCC] PRIMARY KEY CLUSTERED ([VCC], [ID])
)


GO
