SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[BulkProcessI6Update]
AS
BEGIN
	-- ACTUALIZAMOS LOS AUDIOS CON EL RESULTADO EN LA TABLA
	UPDATE [dbo].[Audio] 
		SET [dbo].[Audio].[IsProcess] = NULL, 
			[dbo].[Audio].[Format] = [dbo].[#ProcessI6UpdateTemp].[Format],
			[dbo].[Audio].[IsTranscribed] = [dbo].[#ProcessI6UpdateTemp].[IsTranscribed],
			[dbo].[Audio].[IsCancel] = [dbo].[#ProcessI6UpdateTemp].[IsCancel],
			[dbo].[Audio].[ErrorMessage] = [dbo].[#ProcessI6UpdateTemp].[ErrorMessage],
			[dbo].[Audio].[LastModifiedDate] = GETUTCDATE()
		FROM [dbo].[#ProcessI6UpdateTemp]
		WHERE [dbo].[Audio].[VCC] = [dbo].[#ProcessI6UpdateTemp].[VCC]
			AND [dbo].[Audio].[ID] = [dbo].[#ProcessI6UpdateTemp].[ID]
			AND [dbo].[Audio].[Section] = [dbo].[#ProcessI6UpdateTemp].[Section]
			AND [dbo].[Audio].[Part] = [dbo].[#ProcessI6UpdateTemp].[Part]
			AND [dbo].[#ProcessI6UpdateTemp].[Channel] = 'CALL'
			AND [dbo].[Audio].[NeedI6Update] = 1
			AND [dbo].[Audio].[IsProcess] = 1
			AND [dbo].[Audio].[IsCancel] IS NULL 
			AND [dbo].[Audio].[IsTranscribed] IS NULL

	DROP TABLE [dbo].[#ProcessI6UpdateTemp]
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
