SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[BulkTemplateTheme]
AS
BEGIN
		INSERT INTO dbo.TemplateTheme
			([VCC]
			,[TemplateId]
			,[ID]
			,[Order]
			,[Description]
			,[Category1]
			,[Category2]
			,[AnalysisType]
			,[CreatedDate]
			,[CreatedByUserId]
			,[LastModifiedDate]
			,[LastModifiedByUserId]
			,[TimeStamp]
			)
			SELECT DISTINCT A.[VCC]
							,A.[TemplateId]
							,A.[ID]
							,A.[Order]
							,A.[Description]
							,A.[Category1]
							,A.[Category2]
							,A.[AnalysisType]
							,A.[CreatedDate]
							,A.[CreatedByUserId]
							,A.[LastModifiedDate]
							,A.[LastModifiedByUserId]
							,GETUTCDATE()
				FROM #TemplateThemeTemp A (NOLOCK)
				LEFT JOIN [dbo].[TemplateTheme] B (NOLOCK) 
					ON A.[VCC] = B.[VCC] 
						AND A.[TemplateId] = B.[TemplateId]
				WHERE B.[ID] IS NULL
		
		DROP TABLE #TemplateThemeTemp
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
