SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[BulkTemplateThemeItem]
AS
BEGIN
		INSERT INTO dbo.TemplateThemeItem
			(VCC
			,TemplateId
			,TemplateThemeId
			,ID
			,CreatedDate
			,CreatedByUserId
			,LastModifiedDate
			,LastModifiedByUserId
			,[TimeStamp]
			)
		SELECT DISTINCT
			 A.VCC
			,A.TemplateId
			,A.TemplateThemeId
			,A.[ID]
			,A.CreatedDate
			,A.CreatedByUserId
			,A.LastModifiedDate
			,A.LastModifiedByUserId
			,GETUTCDATE()
		FROM #TemplateThemeItemTemp A (NOLOCK)
		
		DROP TABLE #TemplateThemeItemTemp

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
