SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetAzureSubscriptionKeys] (
	@Instance Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
 	SELECT
		s.SubscriptionKey						'subscriptionKey',
		s.SubscriptionName						'subscriptionName',
		s.SubscriptionRegion					'subscriptionRegion',
		s.IsDemo								'isDemo'
	FROM AzureSubscriptionKey s (NOLOCK)
	WHERE s.VCC = @Instance
	ORDER BY s.[IsDemo] DESC, s.[SubscriptionName] ASC

 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
