SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCustomField] (
	@VCC              VARCHAR(50) = NULL, 
	@ID               VARCHAR(100) = NULL,
	@EvaluationPlanId VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	DECLARE @QUERY VARCHAR(MAX) = ''
	SET @QUERY += 'SELECT  [ID]				''id'',
				[Description]				''description'',
				[Label]						''label'',
				[Type]						''type'' FROM '

    IF(@EvaluationPlanId IS NOT NULL AND @EvaluationPlanId <> '')
    BEGIN 

	SET @QUERY += ' [HistoricCustomField] (NOLOCK)
		            WHERE [EvaluationPlanId ] = '''+@EvaluationPlanId + ''' AND '
    END
    ELSE
    BEGIN 
		SET @QUERY += ' [CustomField] (NOLOCK) WHERE '

    END

	SET @QUERY += ' [VCC] ='''+ @VCC+''' AND [ID] = '''+ @ID+''''
	EXEC(@QUERY)

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
