SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetDictionaryUsage]
(
	@VCC VARCHAR(50) = NULL,
	@DictionaryId VARCHAR(50)= NULL
)
AS
BEGIN
	SET NOCOUNT ON

	--
	SELECT [Name] 'processId'
		FROM [dbo].[Process] (NOLOCK)
		WHERE [VCC] = @VCC
			AND [DictionaryId] = @DictionaryId
			AND [Percentage] IS NOT NULL
			AND [Percentage] < 1
		ORDER BY [CreatedDate] DESC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
