SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetDictionaryWord] (
	@VCC VARCHAR(50) = NULL, 
	@DictionaryWordId VARCHAR(50) = NULL
) AS
BEGIN
	DECLARE  @SQL              NVARCHAR(MAX)
	DECLARE  @FILTER           VARCHAR(MAX) = ''
	DECLARE  @ORDER_BY         VARCHAR(MAX) = ''
	
	SET NOCOUNT ON

	--
	SELECT [VCC]							'vcc',
			[DictionaryId]					'dictionaryId',
			[ID]							'id',
			[Word]							'word',
			[CreatedDate]					'createdDate',
			[CreatedByUserId]				'createdByUserId',
			[LastModifiedDate]				'lastModifiedDate',
			[LastModifiedByUserId]			'lastModifiedByUserId'
		FROM [dbo].[DictionaryWord] (NOLOCK)
		WHERE [VCC] = @VCC
			AND [ID] = @DictionaryWordId
	
	SET NOCOUNT OFF

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
