SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEnvironmentsUsage]
(
	@VCC				VARCHAR(50),
	@Environments		VARCHAR(MAX)= NULL
)
AS
BEGIN
	SET NOCOUNT ON
    DECLARE @SQL_PLAN VARCHAR(MAX) = ''
	DECLARE @SQL_PROCESS VARCHAR(MAX) = ''
	   -- Validar para EvalutionPlan.
	SET @SQL_PLAN='SELECT DISTINCT [Description]	''plan'' FROM
			[dbo].[EvaluationPlan] WHERE [Instance] = '''+@VCC+''' AND [Status] < 5 AND '
			
	SET @SQL_PLAN+='[EnvironmentId] IN(SELECT Value FROM [dbo].[split](''' + @Environments + ''','','')) '
			
	  -- Validar para Process .
  	SET @SQL_PROCESS='SELECT
			DISTINCT [Name]	''process'' FROM
			[dbo].[Process] WHERE [VCC] = '''+@VCC+'''  AND '
	SET @SQL_PROCESS+='[Status] NOT IN (''COMPLETE'',''FAILED'') AND '
			
	SET @SQL_PROCESS+='[Environment] IN(SELECT Value FROM [dbo].[split](''' + @Environments + ''','','')) '
	
    EXEC(@SQL_PLAN)
    EXEC(@SQL_PROCESS)
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
