SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationPlanSubGroups] (
	@VCC VARCHAR(50) = NULL, 
	@EvaluationPlanId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT HSG.[ID]							'id',
			HSG.[Description]				'description'
		FROM [HistoricSubGroup] HSG (NOLOCK)
		WHERE HSG.[VCC] = @VCC
			AND HSG.[EvaluationPlanId] = @EvaluationPlanId
		ORDER BY HSG.[Description] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
