SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetTables] '38.127.113.216', 'GyT', 1
CREATE PROCEDURE [dbo].[GetTables]
(
@Ip Varchar(50), @Database Varchar(50), @Type Int
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[TABLE_CATALOG]						''table_catalog'',
			[TABLE_NAME]						''table_name''
		FROM [' + @Ip + ']' + '.' + @Database + '.INFORMATION_SCHEMA.TABLES WITH (NOLOCK)
		WHERE TABLE_TYPE = ''BASE TABLE'''
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[TABLE_CATALOG]						''table_catalog'',
			[TABLE_NAME]						''table_name''
		FROM ' + @Database + '.INFORMATION_SCHEMA.TABLES (NOLOCK)
		WHERE TABLE_TYPE = ''BASE TABLE'''
		SET @Sql += '
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN  
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
