SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetTemplateThemeItemEntities] (
	@VCC VARCHAR(50) = NULL, 
	@TemplateThemeItemId VARCHAR(100) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	--
	SELECT [TTIE].[EntityId]									'entityId',
			[TTIE].[EntityName]									'entityName',
			[TTIE].[AcceptancePercentage]						'acceptancePercentage',
			ISNULL([TTIE].[AcceptancePercentage], 0) * 100		'acceptanceInteger',
			[TTIE].[Order]										'order'
		FROM [dbo].[TemplateThemeItemEntity] TTIE (NOLOCK)
		WHERE [TTIE].[VCC] = @VCC
			AND [TTIE].[TemplateThemeItemId] = @TemplateThemeItemId
		ORDER BY [TTIE].[Order] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
