SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

-- [dbo].[GetUniqueTags] 'inconcert'
CREATE PROCEDURE [dbo].[GetUniqueTags]
(
	@VCC						VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]												'vcc',
		[TagName]											'tagName',
		[CreatedDate]										'createdDate',
		[CreatedByUserId]									'createdByUserId',
		[LastModifiedDate]									'lastModifiedDate',
		[LastModifiedByUserId]								'lastModifiedByUserId',
		[TimeStamp]											'timeStamp'
	FROM
		[dbo].[UniqueTag]
	WHERE
		[VCC] = @VCC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
