SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[RollbackVcc] (
	@VCC VARCHAR(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	

		DELETE FROM [dbo].[VCC] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Role] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[RolePermission] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[RoutePermission] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[RolePermissionsGroup] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Feeling] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[NeuroLinguisticProgramming] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Word] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Category] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Environment] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[CategoryPermissions] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[TenantVCC] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[NLU] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Intent] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Utterance] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Dictionary] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[InteractionType] WHERE [Instance] = @VCC
		DELETE FROM [dbo].[GenericQuery] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[User] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[UserClient] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[Report] WHERE [VCC] = @VCC

		DELETE FROM [dbo].[VCCLicense] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[AzureSubscriptionKey] WHERE [VCC] = @VCC
		DELETE FROM [dbo].[AzureSubscription] WHERE [VCC] = @VCC
		
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
