SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveRolePermissionsGroup] (
	@VCC Varchar(50) = NULL, @GroupId Varchar(200) = NULL, @Category Varchar(50) = NULL, @Type Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [RolePermissionsGroup] SET
		[TimeStamp] = GETUTCDATE()
	WHERE [VCC] = @VCC
	AND [GroupId] = @GroupId
	
    IF @@ROWCOUNT = 0
		INSERT INTO [RolePermissionsGroup] (
			[VCC], [GroupId], [Category], [Type], [TimeStamp]
			)
		VALUES (
			@VCC, @GroupId, @Category, @Type, GETUTCDATE()	
		)

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
