SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[UpdateUtteranceId]
(
	@VCC	        VARCHAR(50),
	@AppId          VARCHAR(50),
	@IntentId       VARCHAR(50),
	@UtteranceId    VARCHAR(50),
	@NewUtteranceId VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	--Actualizar los registros con el nuevo UtteranceId
	UPDATE [dbo].[Utterance] SET [Id] = @NewUtteranceId , [Status] = 1, [StatusCode] = 'AVAILABLE'
	WHERE [VCC] = @VCC AND [AppId] = @AppId AND [IntentId] = @IntentId AND [Id] = @UtteranceId

	UPDATE [dbo].[UtteranceEntity] SET [UtteranceId] = @NewUtteranceId WHERE [VCC] = @VCC AND [UtteranceId] = @UtteranceId

	UPDATE [dbo].[Underlined] SET [UtteranceId] = @NewUtteranceId WHERE [VCC] = @VCC AND [UtteranceId] = @UtteranceId

	SELECT 1 AS result

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
